Contributing to Fluent Assertions
-----------

No open-source projection is going to be successfull without contributions. After we decided to move to Github, the involvement of the .NET community has increased significantly. However, contributing to this project involves a few steps that will seriously increase the change we will accept it.

* The [Pull Request](https://help.github.com/articles/using-pull-requests) is targeted at the `develop` branch.
* The code complies with the [Coding Guidelines for C# 3.0, 4.0 and 5.0](http://csharpguidelines.codeplex.com/)/. 
* The changes are covered by a new or existing set of unit tests which follow the Arrange-Act-Assert syntax such as is used [in this example](https://github.com/dennisdoomen/fluentassertions/blob/develop/FluentAssertions.Shared.Specs/EquivalencySpecs.cs). 
* If the contribution affects the documentation, please help us by providing a paragraph of text and/or examples that we can include in the [documentation](https://github.com/dennisdoomen/fluentassertions/wiki) wiki. 
